/**
 * @global
 * @remarks Getter and Setter for the global namespace, used in scoreboard objective and tag names.
 */
export class GlobalNamespace {
    /**
     * @remarks Gets the Namespace, appending a ":" unless Namespace is empty.
     */
    static get Namespace() {
        return this.namespace + (this.namespace === '' ? '' : ':');
    }
    /**
     * @remarks Gets the Namespace, does not append a ":" ever.
     */
    static get NamespaceUnformatted() {
        return this.namespace;
    }
    /**
     * @remarks Sets the Namespace
     */
    static set Namespace(v) {
        this.namespace = v;
    }
}
GlobalNamespace.namespace = '';
